{% load static %}
<!-- {% static "images" as baseUrl %} -->

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link
      rel="shortcut icon"
      href="{% static '../static/assets-story-4/icon/icon.png' %}"
    />
    <title>Your Schedule</title>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" 
    ntegrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <style>
        .jumbotron-fluid{
            background-color: #274156;
        }

        .display-3{
            color: white;
            font-weight: bold;
        }

        .lead{
            color: white;
        }

        a{
            color: #274156;
            text-decoration: none;
            transition: all ease-in 0.2s;
        }

        a:hover{
            text-decoration: none;
            color: black;
        }

        a#detail:hover{
          text-decoration: none;
          color: dodgerblue;
        }

        a#delete:hover{
            text-decoration: none;
            color: red;
        }

    </style>

</head>
<body>
    <div class="jumbotron jumbotron-fluid">
      <div class="container">
        <h1 class="display-3">Schedule</h1>
        <p class="lead">See your schedule or <span><a href="create/" style="color: white;">add here</a></span></p>
        <nav aria-label="breadcrumb">
          <ol class="breadcrumb">
            <li class="breadcrumb-item" ><a href="/">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Schedule</li>
          </ol>
        </nav>
      </div>
    </div>
    <div class="container">
        {% for i in object_matkul %}
          <div class="card-deck">
            <div class="card">
              <div class="card-body">
                <h4 class="card-title">{{i.lesson}}</h4>
                <p class="card-text"><strong>Lecturer : </strong>{{i.lecturer}}</p>
                <p class="card-text"><strong>Number of Credits : </strong> {{i.credit}}</p>
                <p class="card-text">Posted : {{i.updated}}</p>
                <div style="float: right;">
                  <a id="detail"  href="{% url 'storylima:detail' i.id %}" class="card-link">Detail</a>
                  <a id="delete" style="cursor: pointer;" class="card-link"  data-toggle="modal" data-target="#exampleModalCenter"> 
                      Delete
                  </a>
                  
                  <!-- Modal -->
                  <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered" role="document">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h5 class="modal-title" id="exampleModalLongTitle">Confirmation</h5>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                          </button>
                        </div>
                        <div class="modal-body">
                          Are you sure wanna delete this course?
                        </div>
                        <div class="modal-footer">
                          <a id="detail" data-dismiss="modal" class="card-link" style="cursor: pointer;">Cancel</a>
                          <a href="{% url 'storylima:delete' i.id %}"> 
                            <button type="button" class="btn btn-danger">Delete</button>
                          </a>
                        </div>
                      </div>
                    </div>
                  </div>
                  <!--End Modal-->
                </div>
              </div>
            </div>
          </div>
          <br>
        {% endfor %}
    </div>
</body>

<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</html>